Bug 426312 - mock ignores --uniqueext arg for results directory
mock ignores --uniqueext arg for results directory
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-19 17:45 EST by Doug Chapman
Modified: 2013-01-09 20:46 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.9.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-20 00:06:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Chapman 2007-12-19 17:45:59 EST
Description of problem:
I see this on ia64 but I imagine it is not arch specific.

I use the --uniqueext= arg to allow me to run parallel instances of mock on my
large servers.  On the recent versions this works for the build root but the
result directory where the logs and built rpms are placed ignores it.

For example:

mock -r fedora-devel-ia64 --uniqueext=clamav 
/rawhide/current/downloaded/SRPMS/clamav-0.91.2-3.fc9.src.rpm 

builds in /var/lib/mock/fedora-devel-ia64-clamav however the log files are
placed in /var/lib/fedora-deve-ia64/result


Version-Release number of selected component (if applicable):
mock-0.9.3-1


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Michael E Brown 2007-12-19 22:29:07 EST
Yes, I see the problem here. Looking at how to fix. Thanks for the report.
Comment 2 Michael E Brown 2007-12-20 00:06:48 EST
Fix committed to git repo, pushed to rawhide cvs, tagged and built for rawhide.

This should be in the next rawhide compose.

Note You need to log in before you can comment on or make changes to this bug.